<?php
if ( is_array( $this -> _sitemap ) ) foreach ( $this -> _sitemap as $menu )
{
  ?>
  <ul class="sitemap">
    <?
    if ( is_array( $menu['pages'] ) ) foreach ( $menu['pages'] as $site_tmp )
    {
      echo '<li>';
        switch( $site_tmp -> get_site_type() )
        {
          case 8:
            $link = $site_tmp -> get_link();
          break;
          case 9:
            $link = 'rejestracja';
          break;
          case 10:
            $link = 'wyszukiwarka';
          break;
          case 11:
            $link = 'mapa_strony';
          break;
          default:
            $link = 's,' . $site_tmp -> get_id() . ',' . \System::seo( $site_tmp -> get_title() ) . '';
          break;
        }

        echo '<a href="' . $link . '">';
          echo ucfirst( $site_tmp -> get_title() );
        echo '</a>';
      echo '</li>';
    }
    ?>
  </ul>
  <?
}